#if !defined(AFX_OEDIT_H__9A556B65_128D_40DE_B1E8_42859E5734D9__INCLUDED_)
#define AFX_OEDIT_H__9A556B65_128D_40DE_B1E8_42859E5734D9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Oedit.h : header file
//
#pragma warning(disable:4786)
#include "ImprovedEdit.h"

/////////////////////////////////////////////////////////////////////////////
// Oedit dialog

class Oedit : public CPropertyPage
{
	DECLARE_DYNCREATE(Oedit)

// Construction
public:
	void disable_oedit(int all);
	void set_value_defaults();
	void LoadOedit();
	Oedit();
	~Oedit();

// Dialog Data
	//{{AFX_DATA(Oedit)
	enum { IDD = IDD_OBJEDIT };
	ImprovedEdit	e_ldesc;
	ImprovedEdit	e_sdesc;
	ImprovedEdit	e_alias;
	ImprovedEdit	e_adesc;
	ImprovedEdit	e_exdesc_string;
	CButton	m_val4;
	CButton	m_val3;
	CButton	m_val2;
	CButton	m_val1;
	CButton	m_obj_num;
	CString	m_exdesc_string;
	CString	m_adesc;
	int		m_aff1;
	int		m_aff2;
	int		m_aff3;
	int		m_aff4;
	int		m_aff5;
	int		m_aff6;
	CString	m_alias;
	CString	m_ldesc;
	int		m_mod1;
	int		m_mod2;
	int		m_mod3;
	int		m_mod4;
	int		m_mod5;
	int		m_mod6;
	int		m_rent;
	CString	m_sdesc;
	int		m_cost;
	int		m_weight;
	int		m_type;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(Oedit)
	public:
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(Oedit)
	afx_msg void OnPrevObjz();
	afx_msg void OnPrevObj();
	afx_msg void OnNextObj();
	afx_msg void OnNextObjz();
	afx_msg void OnSelchangeExdescOkeyword();
	afx_msg void OnNewOdesc();
	afx_msg void OnChangeExdescOdesc();
	afx_msg void OnDeleteOdesc();
	afx_msg void OnObjNumber();
	afx_msg void OnObjWear();
	afx_msg void OnObjEffects();
	afx_msg void OnChangeObjAlias();
	afx_msg void OnChangeObjSdesc();
	afx_msg void OnChangeObjLdesc();
	afx_msg void OnChangeObjAdesc();
	afx_msg void OnChangeObjCost();
	afx_msg void OnChangeObjRent();
	afx_msg void OnChangeObjWeight();
	afx_msg void OnSelchangeObjType();
	virtual BOOL OnInitDialog();
	afx_msg void OnValue4();
	afx_msg void OnValue1();
	afx_msg void OnValue2();
	afx_msg void OnValue3();
	afx_msg void OnObjSavezone();
	afx_msg void OnObjDelete();
	afx_msg void OnObjNew();
	//}}AFX_MSG
	void OnAffChange(UINT nId); 
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OEDIT_H__9A556B65_128D_40DE_B1E8_42859E5734D9__INCLUDED_)
